const authenticate = require("../../middlewares/authenticate")
const authorize = require("../../middlewares/authorize")
const express = require("express")
const router = express.Router();
const stockController = require("../../controllers/securityops/stockController")


router.get("/dashboard", 
    authenticate,
    authorize(["admin", "inventory", "security", "qc"]) ,
    (req, res) =>{
        stockController.getStockDashboard(req, res);
    }
)

router.get(
  "/ledger",
  authenticate,
  authorize(["admin","inventory", "security", "qc"]),  (req, res) =>{
     stockController.getStockLedgerByProduct(req, res);
  }
);


module.exports = router;


